@echo off
set path=%cdrom%\freedos\setup\bin;%cdrom%\freedos\setup\install;A:\freedos
*** removed freedos\setup\bin\key from path
for %%x in ( [%lang%] [%color%] [%key%] [%instmode%] ) do if %%x==[] goto defaults
goto optmenu1

:optmenu1
*** see localization. could embedd all this if localize would default to english ***
*** call %cdrom%\freedos\setup\batch\menu1.bat
echo.
if "%menu1_nr%"=="INSTFDOS" goto optmenu2
if "%menu1_nr%"=="BOOTDISK" call %cdrom%\freedos\setup\batch\bootdisk.bat
*** localize this? *** if "%menu1_nr%"=="QUIT" echo You may run 'menu' to return to FreeDOS setup!
if "%menu1_nr%"=="QUIT" goto end
if "%menu1_nr%"=="VIEW" %cdrom%\freedos\setup\bin\pg %cdrom%\freedos\docs\install3.txt
if "%menu1_nr%"=="REBOOT" ***path to***\FDISK /REBOOT
cls
goto optmenu1

:defaults
alias menu=%cdrom%\freedos\setup\batch\autorun.bat
if "%nlspath%"=="" set nlspath=.
set lang=EN
set color=Color
for %%x in ( 8086 80186 80286 ) do if "%cputype%"=="%%x" set color=Mono
set key=None
set instmode=Full
*** replace menu1txt menu2txt and header by localize? ***
*** set menu1txt=.         What do you want to do?
*** set menu2txt=.         What do you want to do?
*** set header=echo FreeDOS beta9 ("Methusalem") cdrom distribution.
goto optmenu1

:optmenu2
*** replace by inlined localize usage, see above!? ***
*** call %cdrom%\freedos\setup\batch\menu2.bat
echo.
if "%menu2_nr%"=="INSTFDOS" goto installr
if "%menu2_nr%"=="SETLANG"  goto sel_lang
if "%menu2_nr%"=="SETSCRN"  goto sel_scrn
if "%menu2_nr%"=="SETKEYB"  goto sel_keyb
if "%menu2_nr%"=="SETSIZE"  goto sel_mode
if "%menu2_nr%"=="QUIT"     goto optmenu1
goto optmenu2

:installr
rem ## provide general information
cls
for %%x in ( %cdrom%\FREEDOS\SETUP\LANGUAGE\%LANG%\BETA*.TXT ) DO if exist %%x TYPE %%x 
echo.
pause 
rem ## provide installation notes.
for %%x in ( %cdrom%\FREEDOS\SETUP\LANGUAGE\%LANG%\INST.TXT ) DO if exist %%x %cdrom%\freedos\setup\bin\pg %%x 

set TEXTMENU=
if not "%color%"=="Color" call %cdrom%\freedos\setup\batch\textmenu.bat
if not exist %cdrom%\freedos\setup\install\drvmngr.exe call %cdrom%\freedos\setup\batch\textmenu.bat

if "%TEXTMENU%"=="QUIT" goto optmenu2
if not "%color%"=="Color" goto instcomm
if not exist %cdrom%\freedos\setup\install\drvmngr.exe goto instcomm

rem    ASSERT(exist %cdrom%\freedos\setup\install\drvmngr.exe == TRUE)
%cdrom%\freedos\setup\install\drvmngr.exe
if ERRORLEVEL==1 set TEXTMENU=QUIT
if "%TEXTMENU%"=="QUIT" goto optmenu2

call %cdrom%\freedos\setup\batch\textmenu.bat setupDOS

goto instcomm
:instcomm
if "%TEXTMENU%"=="QUIT" goto optmenu2

rem    Do not CALL this, but let it be the end-option.
if exist %cdrom%\freedos\setup\batch\postinst.bat %cdrom%\freedos\setup\batch\postinst.bat
goto optmenu2

:sel_lang
cls
*** localize with English as default... *** %header%
echo.
echo Please select language to use during Install, this only
echo effects programs that check the LANG environment variable,
echo and only during the installation process (ie until you reboot).
echo.
echo NOTE:  The language selected will be used when translated
echo.       text exists, otherwise English will be used.  The
echo.       English is the original, the translations may have
echo.       errors or be out of date.
echo.
echo.        Choose desired Installation Language (SET LANG=?)
echo.==============================================================================
echo 1) EN  English - The default, and used when translations are not available
echo 2) ES  Spanish 
echo 3) NL  Dutch
echo.

%cdrom%\freedos\setup\bin\choice /C:123 "           "
IF ERRORLEVEL 1 set LANG=EN
IF ERRORLEVEL 2 set LANG=ES
IF ERRORLEVEL 3 set LANG=NL
*** the following is obsoleted by localize usage ***
*** if "%lang%"=="EN" set menu1txt=.         What do you want to do?
*** if "%lang%"=="EN" set menu2txt=.         What do you want to do?
*** if "%lang%"=="EN" set header=echo FreeDOS beta9 ("Methusalem") cdrom distribution.
*** if "%lang%"=="NL" set menu1txt=.         Wat wilt u doen?
*** if "%lang%"=="NL" set menu2txt=.         Wat wilt u doen?
*** if "%lang%"=="NL" set header=echo FreeDOS beta9 ("Methusalem") cdrom distributie.
*** if "%lang%"=="ES" set menu1txt=.         What do you want to do?
*** if "%lang%"=="ES" set menu2txt=.         What do you want to do?
*** if "%lang%"=="ES" set header=echo FreeDOS beta9 ("Methusalem") cdrom distribution.
goto optmenu2

:sel_scrn
*** localize *** echo What kind of monitor do you have?
*** localize *** echo 1) Color     
*** localize *** echo 2) Monochrome
echo.
*** localize *** echo [graphical installer does not work properly, so please pick monochrome]
%cdrom%\freedos\setup\bin\choice /C:12 "                "
if errorlevel 1 set color=Color
if errorlevel 2 set color=Mono
goto optmenu2

:sel_keyb
CLS
*** localize *** %header%
*** can be a lot! *** dir /b /w %cdrom%\freedos\setup\bin\key\*.kc
echo.
echo.
*** localize *** echo Please type the name of the keyboard resource file you want to load 
*** localize *** echo (and press ENTER key afterwards),
*** if less choices, could use choice. localize: ***
*** set /P key=or press [ENTER] to not select one :
*** localize *** echo Filename chosen: [%cdrom%\freedos\setup\bin\key\] [%key%]
if "%key%"=="" goto optmenu2
if exist %cdrom%\freedos\setup\bin\key\%key%.KC set key=%key%.KC
if exist %cdrom%\freedos\setup\bin\key\%key% %cdrom%\freedos\setup\bin\keyb %cdrom%\freedos\setup\bin\key\%key%
if exist %cdrom%\freedos\setup\bin\key\%key% goto optmenu2
*** localize *** if not exist %cdrom%\freedos\setup\bin\key\%key% pause Entered file does not exist. press a key to select again
goto sel_keyb

:sel_mode
*** localize *** echo What kind of install do you want?
*** localize *** echo 1) Full install
*** localize *** echo 2) Minimal install
%cdrom%\freedos\setup\bin\choice /C:12 "         "
if errorlevel 1 set instmode=Full
if errorlevel 2 set instmode=Mini
goto optmenu2

:end
